Subject: Re: [Fot] TR3 Prices

From: Randall <[email-masked]>
Date: Wed, 6 Nov 2013 0:52:49 +0000

---- Richard Gehweiler <[email-masked]> wrote: 
> I am looking for actual selling prices of 
> cars, not asking prices.

I went through this a few years back with my insurance.  They supplied a list of 4 cars that had recently sold in similar condition.  Average sale price $9600.  That was in 2005, and at least my perception is that prices have risen quite a bit since then.  So I'd say at least $12K plus whatever the engine is worth over a solid running (but otherwise stock) engine.

Randall
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive